Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:29 2009

## Asterisk developer's documentation

# ast_dsp Struct Reference

Collaboration diagram for ast_dsp:

[legend]

## Data Fields

int | busy_quietlength
int | busy_tonelength
int | busycount
int | busymaybe
int | digitmode
struct ast_frame | f
int | features
int | freqcount
goertzel_state_t | freqs [7]
float | genergy
int | gsamp_size
int | gsamps
int | historicnoise [DSP_HISTORY]
int | historicsilence [DSP_HISTORY]
int | progmode
int | tcount
union {
dtmf_detect_state_t dtmf
mf_detect_state_t mf
} | td
int | thinkdigit
int | threshold
int | totalnoise
int | totalsilence
int | tstate

## Detailed Description

Definition at line 310 of file dsp.c.

## Field Documentation

int busy_quietlength

Definition at line 319 of file dsp.c.

Referenced by ast_dsp_busydetect(), and ast_dsp_set_busy_pattern().

int busy_tonelength

Definition at line 318 of file dsp.c.

Referenced by ast_dsp_busydetect(), and ast_dsp_set_busy_pattern().

int busycount

Definition at line 317 of file dsp.c.

Referenced by __ast_dsp_silence(), ast_dsp_busydetect(), ast_dsp_new(), and ast_dsp_set_busy_count().

int busymaybe

Definition at line 316 of file dsp.c.

Referenced by __ast_dsp_silence(), and ast_dsp_busydetect().

int digitmode

Definition at line 329 of file dsp.c.

Referenced by __ast_dsp_digitdetect(), ast_dsp_digitmode(), ast_dsp_digitreset(), ast_dsp_getdigits(), and ast_dsp_process().

dtmf_detect_state_t dtmf

Definition at line 333 of file dsp.c.

Referenced by __ast_dsp_digitdetect(), ast_dsp_digitmode(), ast_dsp_digitreset(), ast_dsp_getdigits(), ast_dsp_new(), and ast_dsp_process().

struct ast_frame f`[read]`

Definition at line 311 of file dsp.c.

Referenced by ast_dsp_process().

int features

Definition at line 315 of file dsp.c.

Referenced by __ast_dsp_call_progress(), __ast_dsp_digitdetect(), ast_dsp_new(), ast_dsp_process(), and ast_dsp_set_features().

int freqcount

Definition at line 323 of file dsp.c.

Referenced by __ast_dsp_call_progress(), and ast_dsp_prog_reset().

goertzel_state_t freqs[7]

Definition at line 322 of file dsp.c.

Referenced by __ast_dsp_call_progress(), ast_dsp_prog_reset(), and ast_dsp_reset().

float genergy

Definition at line 331 of file dsp.c.

Referenced by __ast_dsp_call_progress().

int gsamp_size

Definition at line 325 of file dsp.c.

Referenced by __ast_dsp_call_progress(), and ast_dsp_prog_reset().

int gsamps

Definition at line 324 of file dsp.c.

Referenced by __ast_dsp_call_progress(), ast_dsp_prog_reset(), and ast_dsp_reset().

int historicnoise[DSP_HISTORY]

Definition at line 320 of file dsp.c.

Referenced by __ast_dsp_silence(), ast_dsp_busydetect(), and ast_dsp_reset().

int historicsilence[DSP_HISTORY]

Definition at line 321 of file dsp.c.

Referenced by __ast_dsp_silence(), ast_dsp_busydetect(), and ast_dsp_reset().

mf_detect_state_t mf

Definition at line 334 of file dsp.c.

Referenced by __ast_dsp_digitdetect(), ast_dsp_digitmode(), ast_dsp_digitreset(), ast_dsp_getdigits(), and ast_dsp_process().

int progmode

Definition at line 326 of file dsp.c.

Referenced by __ast_dsp_call_progress(), ast_dsp_prog_reset(), and ast_dsp_set_call_progress_zone().

int tcount

Definition at line 328 of file dsp.c.

Referenced by __ast_dsp_call_progress(), and ast_dsp_get_tcount().

union { ... } td

Referenced by __ast_dsp_digitdetect(), ast_dsp_digitmode(), ast_dsp_digitreset(), ast_dsp_getdigits(), ast_dsp_new(), and ast_dsp_process().

int thinkdigit

Definition at line 330 of file dsp.c.

Referenced by ast_dsp_digitreset(), and ast_dsp_process().

int threshold

Definition at line 312 of file dsp.c.

Referenced by ast_dsp_new(), and ast_dsp_set_threshold().

int totalnoise

Definition at line 314 of file dsp.c.

Referenced by __ast_dsp_silence().

int totalsilence

Definition at line 313 of file dsp.c.

Referenced by __ast_dsp_silence(), ast_dsp_reset(), ast_play_and_prepend(), ast_play_and_record_full(), background_detect_exec(), handle_recordfile(), and record_exec().

int tstate

Definition at line 327 of file dsp.c.

Referenced by __ast_dsp_call_progress(), and ast_dsp_get_tstate().

The documentation for this struct was generated from the following file:

- dsp.c